Page 1
FORMAT: 1A HOST: https://meudominio.skyinone.net/v2/api/
API Autosky Platform
Communication and integration API for Skyone's Autosky platform. All rights reserved to Skyone ©
https://skyone.solutions/
Group API
About
This documentation presents the information required to integrate systems and platforms with the Autosky API. Through this API, it will be possible to perform integration procedures with the following objects:
Clients (User Groups)
Users
Applications
User Sessions
User Authentication
User Logon
Version
V2.3 - (07/19/2024)
Prerequisites
To use the APIs, you must have access to the authentication information provided by the Skyone integration team.
For Example:
Authentication Token: 23a1e4e6f90546e498a8f66cf21e3fb3
Environment UUID: 6a6c7a07-bef1-4e42-942e-87277a8c2a84
Staging URL: piloto.skyinone.net
Production URL: meudominio.skyinone.net
API Call Authentication
Once you obtain your authentication token for the Autosky platform API calls, this token must be used in all API requests. There are two ways to use the authentication token:
Token via URL
In this method, the token must be sent as a query parameter in the API calls, for example:
http://meudominio.skyinone.net/v2/api/clients/?token=xxxxx
Token via Header
When sending the token via header, it must be passed as a header in the API calls. The header must follow this format:
Authorization:xxxxxx
In this example using HTTPie: http http://meudominio.skyinone.net/v2/api/clients/ Authorization:xxxx
Clients API [/clients/]
API calls to operate Client objects (User Groups)
List Clients [GET /clients/{?updated_at_after,updated_at_before,cli_uuid,external_client_code}]
Retrieves clients registered on the Autosky platform.
Parameters
updated_at_after (optional, string) - Filters clients updated on or after this date and time (inclusive). ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
updated_at_before (optional, string) - Filters clients updated on or before this date and time (inclusive). ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
cli_uuid (optional, string or array) - Filters by the unique client identifier(s). Can be used as:
a single value: ?cli_uuid=uuid1
multiple values: ?cli_uuid=uuid1,uuid2
external_client_code (optional, string or array) - Filters by the external code(s) associated with the client. Can be used as:
a single value: ?external_client_code=code1
multiple values: ?external_client_code=code1,code2
Response 200 (application/json)
Body
Get Client Data [GET /clients/{cli_uuid}]
Retrieves data for a specific client by their UUID. In addition to the fields from the client listing, the "users" field is also included.
Parameters
cli_uuid (required) - Client UUID
Response 200 (application/json)
Body
Get Clients from an Environment [GET /clients/ambientes/{ambiente_uuid}]
Retrieves all clients from a specific environment by its UUID.
Parameters
ambiente_uuid (required) - Environment UUID
Response 200 (application/json)
Body
Create Client [POST]
Registers a new client on the platform.
Request (application/json)
Attributes
nome: MeuCliente001 (string, required) - Client name on the platform.
external_client_code: External Client Code 1 (string) - Custom client code.
email_admin:
email-adm@dominio.com(string, required) - Environment Administrator email.amb_uuid:
715088c9-9f21-424e-bcd5-5eacc0ce165b(string, required) - Environment ID to which the client will be linked.description:
Informações Adicionais do usuário(string) - Additional client information (Optional).grupo_seguranca: Cliente001 (string) - AD Security Group to be created (Optional).
block_multiple_session: false (boolean) - Enables or disables blocking multiple sessions for the same user.
has_license_limit: false (boolean) - Whether the client has an access license limit (Optional).
license_limit: 10 (number) - Number of access licenses (Optional).
ad_add_aditional_group: Version001 (string) - AD Security Group to which this client's group should be linked (Optional).
in_maintenance: false (boolean) - Enables or disables immediate maintenance on the Client (Optional).
maintenance_msg: Mensagem de Manutenção Imediata (string) - Immediate maintenance message to be displayed to the user (Optional).
schedule_maintenance: true (boolean, required) - Enables or disables scheduled maintenance based on defined start and end times.
schedule_maintenance_start:
2021-12-01T23:10:00.000-03:00(string) - Defines the start date and time of the scheduled maintenance. Required when schedule_maintenance is true.schedule_maintenance_end:
2021-12-31T22:30:00.000-03:00(string) - Defines the end date and time of the scheduled maintenance. Required when schedule_maintenance is true.schedule_maintenance_msg: Mensagem de Manutenção Programada (string) - Scheduled maintenance message to be displayed to users. Required when schedule_maintenance is true.
terminate_sessions: true (boolean) - When enabling scheduled maintenance, terminates active sessions and disconnects active users.
schedule_warning: true (boolean, required) - Enables or disables the scheduled display of warnings to users based on defined start and end times.
schedule_warning_start:
2021-12-01T23:10:00.000-03:00(string) - Defines the start date and time of the scheduled display of warnings. Required when schedule_warning is true.schedule_warning_end:
2021-12-31T22:30:00.000-03:00(string) - Defines the end date and time of the scheduled display of warnings. Required when schedule_warning is true.schedule_warning_msg: Mensagem de Aviso aos Usuários (string) - Warning message to be displayed to users. Required when schedule_warning is true.
display_warning_to_logged_users: true (boolean) - When enabled, ensures that already logged-in users also see the scheduled warning, in addition to new logins. Required when schedule_warning is true.
observations: Observações adicionais (string) - Additional information about the Client (Optional).
Body
Response 200 (application/json)
Body
Update Client [PATCH /clients/{cli_uuid}]
Procedure used to update a Client's information.
Parameters
cli_uuid (required) - Client UUID
Request (application/json)
Attributes
nome: MeuCliente001 (string) - Client name on the platform.
external_client_code: External Client Code 1 (string) - Custom client code.
email_admin:
email-adm@dominio.com(string) - Environment Administrator email.amb_uuid:
715088c9-9f21-424e-bcd5-5eacc0ce165b(string) - Environment ID to which the client will be linked.description:
Informações Adicionais do usuário(string) - Additional client information.block_multiple_session: false (boolean) - Enables or disables blocking multiple sessions for the same user.
grupo_seguranca: Cliente001 (string) - AD Security Group to be created.
has_license_limit: false (boolean) - Whether the client has an access license limit.
license_limit: 10 (number) - Number of access licenses.
ad_add_aditional_group: Version002 (string) - AD Security Group to which this client's group should be linked.
ad_remove_aditional_group: Version001 (string) - AD Security Group from which this client's group should be unlinked.
observations: Observações adicionais (string) - Additional information about the Client (Optional).
Body
Response 200 (application/json)
Body
Update Clients in a Specific Environment [PATCH /clients/?amb_uuid={ambiente_uuid}]
Procedure used to update the information of all clients within an environment.
Parameters
ambiente_uuid (required) - Environment UUID
Request (application/json)
Attributes
email_admin:
email-adm@dominio.com(string) - Environment Administrator email.amb_uuid:
715088c9-9f21-424e-bcd5-5eacc0ce165b(string) - Environment ID to which the client will be linked.description:
Informações Adicionais do usuário(string) - Additional client information.block_multiple_session: false (boolean) - Enables or disables blocking multiple sessions for the same user.
grupo_seguranca: Cliente001 (string) - AD Security Group to be created.
has_license_limit: false (boolean) - Whether the client has an access license limit.
license_limit: 10 (number) - Number of access licenses.
ad_add_aditional_group: Version002 (string) - AD Security Group to which this client's group should be linked.
ad_remove_aditional_group: Version001 (string) - AD Security Group from which this client's group should be unlinked.
Body
Response 200 (application/json)
Body
Delete Client [DELETE /clients/{cli_uuid}]
Deletes a client from the platform.
Parameters
cli_uuid (required) - Client UUID
Response 200 (application/json)
Body
Response 400 (application/json)
Body
Block / Unblock Client [PATCH /clients/{cli_uuid}]
Performs the immediate blocking or unblocking of a client on the platform.
Parameters
cli_uuid (required) - Client UUID
Request (application/json)
Attributes
in_maintenance: true (boolean, required) - True or False to set maintenance state.
maintenance_msg: Ambiente em Atualização (string) - Message that will be presented to users during their next login.
Response 200 (application/json)
Body
Enable / Disable Scheduled Maintenance [PATCH /clients/{cli_uuid}]
Performs the scheduled blocking or unblocking of a client on the platform. All fields below are required when schedule_maintenance is true.
Parameters
cli_uuid (required) - Client UUID
Request (application/json)
Attributes
schedule_maintenance: true (boolean, required) - Enables or disables scheduled maintenance based on defined start and end times.
schedule_maintenance_start:
2021-12-01T23:10:00.000-03:00(string) - Defines the start date and time of the scheduled maintenance.schedule_maintenance_end:
2021-12-31T22:30:00.000-03:00(string) - Defines the end date and time of the scheduled maintenance.schedule_maintenance_msg: Mensagem de Manutenção Programada (string) - Scheduled maintenance message to be displayed to users.
terminate_sessions: true (boolean) - When enabling scheduled maintenance, terminates active sessions and disconnects active users.
Response 200 (application/json)
Body
Enable / Disable Batch Scheduled Maintenance [PATCH /clients/batch-scheduled-actions/]
Performs the scheduled blocking or unblocking of clients in batch on the platform. All fields within scheduled_data are required when schedule_maintenance is true.
Request (application/json)
Attributes
cli_uuids:
79ea8324-4889-4729-8bf0-bc1c40b38273(array, required) - List of client UUIDs to be scheduled.scheduled_data (object) - The same fields considered when this action is performed for a single client.
schedule_maintenance: true (boolean, required) - Enables or disables scheduled maintenance based on defined start and end times.
schedule_maintenance_start:
2021-12-01T23:10:00.000-03:00(string) - Defines the start date and time of the scheduled maintenance.schedule_maintenance_end:
2021-12-31T22:30:00.000-03:00(string) - Defines the end date and time of the scheduled maintenance.schedule_maintenance_msg: Mensagem de Manutenção Programada (string) - Scheduled maintenance message to be displayed to users.
terminate_sessions: true (boolean) - When enabling scheduled maintenance, terminates active sessions and disconnects active users.
Response 200 (application/json)
Body
[ { "cli_uuid": "79ea8324-4889-4729-8bf0-bc1c40b38273", "nome": "MeuCliente001", "grupo_seguranca": "Cliente001", "email_admin": "email-adm@dominio.com", "has_license_limit": false, "license_limit": 0, "users": [], "amb_uuid": "715088c9-9f21-424e-bcd5-5eacc0ce165b", "in_maintenance": false, "maintenance_msg": "", "schedule_maintenance": true, "schedule_maintenance_start": "2021-12-01T23:10:00.000-03:00", "schedule_maintenance_end": "2021-12-31T22:30:00.000-03:00", "schedule_maintenance_msg": "Mensagem de Manutenção Programada", "terminate_sessions": true, "schedule_warning": false, "schedule_warning_start": null, "schedule_warning_end": null, "schedule_warning_msg": "", "display_warning_to_logged_users": false, 'user_latest_login_at': null, 'created_at': '2025-03-13T11:53:05.504255-03:00', 'updated_at': '2025-03-13T11:53:05.554461-03:00', 'migrated_at': null, "observations": "", "active_sessions_count": 0, } ]
Enable / Disable Scheduled Warning Display [PATCH /clients/{cli_uuid}]
Enables or disables the scheduled display of warnings for a client on the platform. All fields below are required when schedule_warning is true.
Parameters
cli_uuid (required) - Client UUID
Request (application/json)
Attributes
schedule_warning: true (boolean, required) - Enables or disables the scheduled display of warnings to users based on defined start and end times.
schedule_warning_start:
2021-12-01T23:10:00.000-03:00(string) - Defines the start date and time of the scheduled display of warnings.schedule_warning_end:
2021-12-31T22:30:00.000-03:00(string) - Defines the end date and time of the scheduled display of warnings.schedule_warning_msg: Mensagem de Aviso aos Usuários (string) - Warning message to be displayed to users.
display_warning_to_logged_users: true (boolean) - When enabled, ensures that already logged-in users also see the scheduled warning, in addition to new logins.
Response 200 (application/json)
Body
Enable / Disable Batch Scheduled Warning Display [PATCH /clients/batch-scheduled-actions/]
Enables or disables the scheduled display of warnings for clients in batch on the platform. All fields within scheduled_data are required when schedule_warning is true.
Request (application/json)
Attributes
cli_uuids:
79ea8324-4889-4729-8bf0-bc1c40b38273(array, required) - List of client UUIDs to be scheduled.scheduled_data (object) - The same fields considered when this action is performed for a single client.
schedule_warning: true (boolean, required) - Enables or disables the scheduled display of warnings to users based on defined start and end times.
schedule_warning_start:
2021-12-01T23:10:00.000-03:00(string) - Defines the start date and time of the scheduled display of warnings.schedule_warning_end:
2021-12-31T22:30:00.000-03:00(string) - Defines the end date and time of the scheduled display of warnings.schedule_warning_msg: Mensagem de Aviso aos Usuários (string) - Warning message to be displayed to users.
display_warning_to_logged_users: true (boolean) - When enabled, ensures that already logged-in users also see the scheduled warning, in addition to new logins.
Response 200 (application/json)
Body
Preparation Server API [/environments/{amb_uuid}/servers/template/]
API calls to execute actions on an environment's preparation server
Get Preparation Server Data [GET]
Retrieves the data of the environment's preparation server.
Parameters
amb_uuid (required) - Environment UUID
Attributes
force_refresh: false (boolean, optional) - Forces the refresh of the preparation server information with the provider.
Response 200 (application/json)
Body
Start Preparation Server [POST /environments/{amb_uuid}/servers/template/start]
Starts the environment's preparation server.
Parameters
amb_uuid (required) - Environment UUID
Response 204 (application/json)
Stop Preparation Server [POST /environments/{amb_uuid}/servers/template/stop]
Stops the environment's preparation server.
Parameters
amb_uuid (required) - Environment UUID
Response 204 (application/json)
Publish a Default Image [POST /environments/{amb_uuid}/servers/template/publish/]
Starts the default publication process for the environment's preparation instance.
Parameters
amb_uuid (required) - Environment UUID
Response 202 (application/json)
Body
Image Publication Status [GET /environments/{amb_uuid}/servers/template/publish/{request_id}]
Retrieves the image publication status of the environment for the specified request.
Parameters
amb_uuid (required) - Environment UUID
request_id (required) - Publication request UUID
Response 200 (application/json)
Body
Optimized Preparation Server API [/environments/{amb_uuid}/servers/template/optimized-publish/]
API calls to publish and verify the publication status of environment preparation servers
Publish an Image in an Optimized Way - Default [POST /environments/{amb_uuid}/servers/template/optimized-publish/]
Starts the publication process of the environment's preparation instance using the default mode. The default publication model sends block_instances as false in the request body.
Parameters
amb_uuid (required) - Environment UUID
Request (application/json)
Attributes
stop_server: false (boolean) - This option allows defining whether the preparation server needs to be stopped when creating the image. If set to false, the server will remain available during creation.
notify_list:
email-01@dominio.com,email-02@dominio.com(array) - List of emails to be notified when the publication finishes.replace_instances: (object) - Details of the publication configurations.
block_instances: false (boolean) - After publication, instances with the updated version will be started, and instances with previous versions will not be blocked.
Body
{ "stop_server": false, "notify_list": [ "email-01@dominio.com", "email-02@dominio.com" ], "replace_instances": { "block_instances": false } }
Response 202 (application/json)
Body
Publish an Image in an Optimized Way - Block Old Instances [POST /environments/{amb_uuid}/servers/template/optimized-publish/]
Starts the publication process while blocking instances running the previous image version. The body sends block_instances as true. The blocked_ttl_minutes field is optional: allowed values are 5, 15, 30, or 60; if omitted (or null), 30 is used. The value is stored in the blocked instances and defines the timeframe until termination after blocking. The notify_users field is optional and defaults to true when omitted: if true, connected users are notified immediately upon blocking that the instance will be terminated after blocked_ttl_minutes minutes. The optional instance_block_user_message field defines the text of this notification; if omitted or empty, the default system message is used.
Parameters
amb_uuid (required) - Environment UUID
Request (application/json)
Attributes
stop_server: false (boolean) - This option allows defining whether the preparation server needs to be stopped when creating the image. If set to false, the server will remain available during creation.
notify_list:
email-01@dominio.com,email-02@dominio.com(array) - List of emails to be notified when the publication finishes.replace_instances: (object) - Details of the publication configurations.
block_instances: true (boolean) - After publication, instances with the updated version will be started, and instances with previous versions will be blocked.
blocked_ttl_minutes: 30 (number, optional) - Minutes after blocking until the instance is terminated. Only 5, 15, 30, or 60; defaults to 30 if omitted.
notify_users: true (boolean, optional) - If
true(default), immediately notifies connected users that the instance will be terminated afterblocked_ttl_minutesminutes. Only applicable whenblock_instancesistrue.instance_block_user_message: `` (string, optional) - Message displayed to the user in the notification sent at the moment of blocking (when
notify_usersistrue).
Body
{ "stop_server": false, "notify_list": [ "email-01@dominio.com", "email-02@dominio.com" ], "replace_instances": { "block_instances": true, "instance_block_user_message": "Maintenance: save your work." } }
Response 202 (application/json)
Body
Publish an Image in an Optimized Way - Stop Preparation Server on Image Creation [POST /environments/{amb_uuid}/servers/template/optimized-publish/]
Starts the publication process of the environment's preparation instance, leaving the server unavailable during the creation of the publication. All routes listed above accept the stop_server option in the request body set to true or false, and this option manages whether the preparation server should be stopped or not.
Parameters
amb_uuid (required) - Environment UUID
Request (application/json)
Attributes
stop_server: true (boolean) - This option allows defining whether the preparation server needs to be stopped when creating the image. If set to false, the server will remain available during creation.
notify_list:
email-01@dominio.com,email-02@dominio.com(array) - List of emails to be notified when the publication finishes.replace_instances: (object) - Details of the publication configurations.
block_instances: false (boolean) - After publication, instances with the updated version will be started, and instances with previous versions will not be blocked.
Body
{ "stop_server": true, "notify_list": [ "email-01@dominio.com", "email-02@dominio.com" ], "replace_instances": { "block_instances": false } }
Response 202 (application/json)
Body
Verify Image Publication Status [GET /environments/{amb_uuid}/servers/template/optimized-publish/{request_id}/]
Verifies the image publication status of the environment for the specified request.
Parameters
amb_uuid (required) - Environment UUID
request_id (required) - Publication request UUID
Response 200 (application/json)
Body
Environment Clients API [/clients/ambientes/{amb_uuid}]
API calls to list all clients belonging to a specific environment
List Clients in the Environment [GET]
Endpoint to query clients registered in the desired environment.
Parameters
amb_uuid (required)
Response 200 (application/json)
Body
Environments API [/environments/]
API calls for Environment operations
List Environments [GET]
List of all environments.
Response 200 (application/json)
Body
Get Environment Data [GET /environments/{amb_uuid}]
Retrieves data for a specific environment by its UUID.
Parameters
amb_uuid (required) - Environment UUID
Response 200 (application/json)
Body
Enable / Disable Immediate Maintenance [PATCH /environments/{amb_uuid}]
Enable or disable immediate maintenance across an entire environment.
Parameters
amb_uuid (required) - Environment UUID
Request (application/json)
Attributes
in_maintenance: true (boolean, required) - True or False to set maintenance state.
maintenance_msg: Ambiente em Atualização (string) - Message that will be presented to users during their next login.
Response 200 (application/json)
Body
Enable / Disable Scheduled Maintenance [PATCH /environments/{amb_uuid}]
Enable or disable scheduled maintenance across an entire environment.
All fields below are required when schedule_maintenance is true.
Parameters
amb_uuid (required) - Environment UUID
Request (application/json)
Attributes
schedule_maintenance: true (boolean, required) - Enables or disables scheduled maintenance based on defined start and end times.
schedule_maintenance_start:
2021-12-01T23:10:00.000-03:00(string) - Defines the start date and time of the scheduled maintenance.schedule_maintenance_end:
2021-12-31T22:30:00.000-03:00(string) - Defines the end date and time of the scheduled maintenance.schedule_maintenance_msg: Mensagem de Manutenção Programada (string) - Scheduled maintenance message to be displayed to users.
terminate_sessions: true (boolean) - When enabling scheduled maintenance, terminates active sessions and disconnects active users.
terminate_instances: true (boolean) - When enabling scheduled maintenance, terminates active instances, disconnecting logged-in users.
Response 200 (application/json)
Body
Enable / Disable Scheduled Warning Display [PATCH /environments/{amb_uuid}]
Enable or disable the scheduled display of warnings across an entire environment. All fields below are required when schedule_warning is true.
Parameters
amb_uuid (required) - Environment UUID
Request (application/json)
Attributes
schedule_warning: true (boolean, required) - Enables or disables the scheduled display of warnings to users based on defined start and end times.
schedule_warning_start:
2021-12-01T23:10:00.000-03:00(string) - Defines the start date and time of the scheduled display of warnings.schedule_warning_end:
2021-12-31T22:30:00.000-03:00(string) - Defines the end date and time of the scheduled display of warnings.schedule_warning_msg: Mensagem de Aviso aos Usuários (string) - Warning message to be displayed to users.
display_warning_to_logged_users: true (boolean) - When enabled, ensures that already logged-in users also see the scheduled warning, in addition to new logins.
Response 200 (application/json)
Body
Client Migration API [/migrate/clients/]
API calls for migrations of Client objects (User Groups).
Migrate Clients [POST]
Performs the procedure to migrate clients to an environment on the platform.
Request (application/json)
Attributes
cli_list:
239e44ea-b696-4471-b21e-d7bcbddedb1d,0670c6e2-511c-49e6-95b8-919522408868(array) - List of IDs of the clients to be migrated.amb_uuid:
6a6c7a07-bef1-4e42-942e-87277a8c2a84(string, required) - Environment ID to which the client will be linked.
Response 200 (application/json)
Body
Users API [/users/{?cli_uuid}]
API calls for operating User objects (System Access Users).
List Users [GET]
Queries users registered on the Autosky platform and linked to Clients.
Parameters
cli_uuid (optional) - List users from a specific client.
Response 200 (application/json)
Body
Get User Data [GET /users/{usr_uuid}]
Retrieves data for a specific user by their UUID. In addition to the fields from the user listing, the "clients" field is also included.
Parameters
usr_uuid (required) - User UUID
Response 200 (application/json)
Body
Create User [POST /users/]
Performs the registration procedure for a new User on the platform. If the User already exists, this procedure will only link them to the client passed as a parameter. Store the returned UUID from the user registration for future modifications if necessary. If you have a specific Active Directory for your environment, use the external_ad=true property to set the password during registration.
Request (application/json)
Attributes
nome: João (string, required) - User's first name.
sobrenome: Souza (string) - User's last name.
email: joao.souza@dominio.com (string, required) - User's logon email.
ativo: true (boolean) - True / False.
username: joao.souza (string) - User's name in AD.
password: senha123 (string) - User's password.
cli_uuid: 769a0f4e-16a8-422a-99ab-d8c416137d4c (string, required) - Client UUID where the user is being registered.
description: Informações Complementares do Usuário (string) - Additional User Information.
fullname (string): User's full name, must contain at least two separated words.
external_ad: false (boolean) - Set to true if you have your own environment Active Directory.
send_activation_email: false (boolean, optional) - Indicates whether an activation email should be sent to the user.
Body
Response 200 (application/json)
Body
Update User [PUT /users/{usr_uuid}]
Performs the procedure to edit User information. In the update procedure, only certain user information can be modified.
Parameters
usr_uuid (required) - User UUID
Request (application/json)
Attributes
nome: Joao (string) - User's first name.
sobrenome: Souza (string) - User's last name.
ativo: true (boolean) - True / False.
password: senha123 (string) - User's password.
description: Informações Complementares do Usuário (string) - Additional User Information.
Body
Response 200 (application/json)
Body
Enable / Disable User [PATCH /users/{usr_uuid}]
Procedure used to enable or disable a User.
Parameters
usr_uuid (required) - User UUID
Request (application/json)
Attributes
ativo: true (boolean) - Defines whether the user should be enabled (true) or disabled (false).
send_activation_email: false (boolean, optional) - Indicates whether an activation email should be sent to the user.
cli_uuid: 769a0f4e-16a8-422a-99ab-d8c416137d4c (string, optional) - Client UUID associated with sending the email.
Body
Response 200 (application/json)
Body
Change User Password [PATCH /users/{usr_uuid}]
Procedure to change a User's access password. Password information is not stored in the Autosky platform database. This information is stored directly in the authentication AD defined on the platform.
Parameters
usr_uuid (required) - User UUID
Request (application/json)
Attributes
password: senhausuario (string) - User's password.
Body
Response 200 (aplication/json)
Body
Delete User [DELETE /users/{usr_uuid}]
Deletes a user from the platform.
Parameters
usr_uuid (required) - User UUID
Response 200 (application/json)
Body
Response 404 (application/json)
Body
Applications API [/apps/{?cli_uuid}]
API calls to operate Application objects (Applications Available to Users). You can use this API call in scenarios where the control of available applications to users is fragmented per client. If you manage application controls through permissions within the template instances, this API does not need to be used. When registered, an Application is by default set to INACTIVE. Use the activation call to enable the Application after registration.
List Applications [GET]
Queries the applications registered on the Autosky platform and linked to Clients.
Parameters
cli_uuid (optional) - Client UUID for filtering.
Response 200 (application/json)
Body
Get Application Data [GET /apps/{app_uuid}]
Retrieves data for a specific application by its UUID. In addition to the fields from the application listing, the "cliente" field is also included.
Parameters
app_uuid (required) - Application UUID.
Response 200 (application/json)
Body
Create Application [POST /apps/]
Performs the registration procedure for a new application on the platform.
Request (application/json)
Attributes
nome: Teste API (string, required) - Application name.
cli_uuid: 09228c2a-a9a6-4cab-8c57-81620f20bc2f (string, required) - Client UUID.
estado: ATIVO or INATIVO (string, required) - Application state.
endereco_app: C:\\Program Files\MeuDir\App.exe (string, optional) - Application path.
parametro_app: MeuToken (string, optional) - Initialization parameter to be registered in the application.
Body
Response 200 (application/json)
Body
Update Application [PUT /apps/{app_uuid}]
Performs the update procedure for the application on the platform.
Parameters
app_uuid (required) - Application UUID.
Request (application/json)
Attributes
nome: Teste API (string, required) - Application name.
cli_uuid: 09228c2a-a9a6-4cab-8c57-81620f20bc2f (string, required) - Client UUID.
estado: ATIVO or INATIVO (string, optional) - Application state.
endereco_app: C:\\Program Files\MeuDir\App.exe (string, required) - Application path.
parametro_app: MeuToken (string, optional) - Initialization parameter to be registered in the application.
Body
Response 200 (application/json)
Body
Delete Application [DELETE /apps/{app_uuid}]
Performs the deletion procedure for an application on the platform.
Parameters
app_uuid (required) - Application UUID.
Response 200 (application/json)
Body
Sessions API [/sessions/{?cli_uuid}]
API calls for user session operations. This call can be used to manage user sessions. You can list active sessions, disconnect users, and/or send messages to be displayed to users.
List Sessions [GET]
Queries active sessions on the Autosky platform.
Parameters
cli_uuid - Client UUID for filtering (optional)
Response 200 (application/json)
Body
Get Session Data [GET /sessions/{ssid}]
Retrieves data for a specific session by its identifier.
Parameters
ssid (required) - Unique session identifier
Response 200 (application/json)
Body
Delete Session [DELETE /sessions/{ssid}]
Procedure to remove a User session. When used, this procedure sends a disconnection message to the user with a shutdown timer. If the user does not close the session voluntarily, the session is terminated within the defined timer (in minutes).
Parameters
ssid (required) - Unique session identifier
Request (application/json)
Attributes
time: 10 (number, required) - Time in minutes.
message: Manutenção preventiva em 10 minutos (string) - Disconnection message.
Response 200 (application/json)
Body
Authentication API [/login/]
API calls for user authentication (Credential Validation).
Authenticate User [POST]
Performs the user authentication procedure on the platform to validate credentials. This API is only used for credential validation during redirection. The user logon is performed via the user logon redirect call covered in the next section.
Request (application/json)
Attributes
email: nome@dominio.com.br (string) - User Authentication Email.
password: senhausuario (string) - User Authentication Password.
Body
Response 200 (application/json)
Body
Group Platform Logon
About
The user logon process on the platform is not performed directly through an API call. This procedure is carried out through a direct call via HTTPS (Secure Connection) to the specified domain using the logon parameters. This model allows all controls and interactions with the user during their connection to be handled directly by the Autosky platform. Procedures such as plugin installation and other controls can be suggested and managed directly on the platform through this process.
URL Call Structure
The URL call is a simple request composed of the Logon URL (sent to you, the partner, along with the authentication token) as well as the user and password information. We use the AUTH parameter to send the user and password information. There are also two additional optional parameters that can be sent to be used within the application. Parameter:
auth=EMAIL:PASSWORD
param=APPLICATION_PARAMETERS
back_url=RETURN_URL
Some parameters must be converted to Base64 when sent via the URL.
auth >> (Base64)
param >> (Base64)
back_url >> (PLAIN TEXT SENDING)
Only the AUTH parameter is required in the call; the others are optional.
auth >> (REQUIRED)
param >> (OPTIONAL)
back_url >> (OPTIONAL)
Example (Before Base64 Conversion):
https://meudominio.skyinone.net/usuario/autentica/?auth=meuemail@dominio.com:MinhaSenha¶m=123456789&back_url=https://www.meu-portal-acesso.com.br
Example (After Base64 Conversion):
https://meudominio.skyinone.net/usuario/autentica/?auth=bWV1ZW1haWxAZG9taW5pby5jb206TWluaGFTZW5oYQ==¶m=MTIzNDU2Nzg5&back_url=https://www.meu-portal-acesso.com.br
Group Other Information
Security
To improve security regarding the tokens available for each client and prevent this information from being misused by malicious actors, an IP filtering feature has been established. This filter ensures that any API activity is allowed only for the IPs configured in Autosky. This feature is optional, and to use it, the client must request the configuration through Skyone support, specifying the desired parameters (IPs). The API response message for unauthorized IPs will contain:
Http: 403 - FORBIDDEN
Body: { detail: "Invalid token." }
API Error and Return Codes
At certain times, the API call may return a failure or control message. Below we present the possible error codes and return messages for each API call. Environments:
ENV001: Error saving changes.
ENV002: Error registering scheduled maintenance.
ENV003: Error disabling scheduled maintenance.
ENV004: Error registering warning display. Clients:
CLI001: Error saving client to database.
CLI002: Error creating security group in AD.
CLI003: Error updating permissions.
CLI004: Error saving changes.
CLI005: Error removing client; active users exist.
CLI006: Error removing security group from AD.
CLI007: Client name already in use.
CLI008: Error registering scheduled maintenance.
CLI009: Error disabling scheduled maintenance.
CLI010: Error registering warning display. Users:
USR001: Error changing/configuring user password
USR002: Client not found
USR003: Error adding user to group
USR004: User already added to client
USR005: AD communication error
USR006: Please provide a client (cli_uuid)
USR007: Error saving user
USR008: Error removing user from database.
USR009: Error removing user from AD.
USR010: Error removing user from client.
USR011: Error adding external user: Username is required.
USR012: Error adding external user: Password is not an allowed parameter for external AD.
USR013: Please provide a user (usr_uuid)
Applications:
APP001: Client not found
APP002: Error saving application to database
APP003: Application not found
APP004: Error removing application
Sessions:
SES001: Error removing session
Last updated
Was this helpful?
